Skip to main content
PATCH
Spree Seller SDK

Authorizations

Authorization
string
header
required

JWT token for an authenticated seller session (seller_api audience)

Headers

X-Spree-Seller-Id
string
required

Path Parameters

id
string
required

Prefixed order ID

Body

application/json
cancel_reason_id
string | null

A reason from the order cancellation reasons endpoint.

cancel_note
string | null

Free text beside the reason.

refund_payments
boolean

Hand back what the buyer paid for this order's goods.

notify_customer
boolean

Email the customer about the cancellation.

Response

200 - application/json

order canceled

id
string
required
number
string
required
customer_note
string | null
required
currency
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BYR,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EEK,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LTL,
LVL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MRU,
MTL,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SKK,
SLE,
SLL,
SOS,
SRD,
SSP,
STD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMM,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYI,
UYU,
UYW,
UZS,
VED,
VEF,
VES,
VND,
VUV,
WST,
XAF,
XCD,
XCG,
XOF,
XPF,
YER,
ZAR,
ZMK,
ZMW,
ZWD,
ZWG,
ZWL,
ZWN,
ZWR
total_quantity
number
required
status
enum<string>
required
Available options:
draft,
placed,
canceled
fulfillment_status
enum<string> | null
required
Available options:
backorder,
canceled,
partial,
unfulfilled,
fulfilled,
delivered,
pending,
ready,
shipped
payment_status
enum<string> | null
required
Available options:
none,
authorized,
partially_paid,
paid,
partially_refunded,
refunded,
overcharged,
voided
completed_at
string
required
created_at
string
required
updated_at
string
required
internal_note
string | null
required
internal_note_html
string | null
required
item_total
string | null
required
delivery_total
string | null
required
discount_total
string | null
required
adjustment_total
string | null
required
included_tax_total
string | null
required
additional_tax_total
string | null
required
tax_total
string | null
required
total
string | null
required
payment_total
string | null
required
amount_due
string | null
required
commission_amount_total
string | null
required
commission_tax_total
string | null
required
commission_total
string | null
required
canceled_at
string | null
required
cancel_reason_name
string | null
required
cancel_note
string | null
required
items
object[]
required
fulfillments
object[]
required
shipping_address
object
required
billing_address
object
required
payment_splits
object[]